#pragma once

namespace DXFW
{
/// <summary></summary>
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class IFont
{
public:
	///<summary>tŕ`</summary>
	virtual bool Draw(int x , int y ,  int rgb ,const char *str , ...) const = 0;
	virtual bool ZMask(int x , int y , ZMaskType Z}XN^Cv, const char *str , ...) const = 0;
	
	///<summary>g嗦w肵ĕ`</summary>
	virtual bool DrawExtend(int x , int y , double Xg嗦 , double Yg嗦 , int rgb ,const char *str , ...) const = 0;
	virtual bool ZMaskExtend(int x , int y , double Xg嗦 , double Yg嗦 , ZMaskType Z}XN^Cv, const char *str , ...) const = 0;
};
}