#pragma once
#include<DxLib.h>
#include<Image.h>


///	<summary>
///	NX
///	</summary>
namespace DXFW
{
///	<summary>C[W̍</summary>
/// ̃C[Wɓ̓C[WA
/// 摜ҏW\tgɂ悤ȍ{B
/// 0.0`1.0͈̔͂Ŏw肵A͂̉eȂB
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class Blend
{
public:
	/// <summary>Z</summary>
	/// C[Wɓ̓C[W̐F𑫂B
	bool Add( Image* C[W , const Image *̓C[W ,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_ADD);
	}
			
	/// <summary>Ăݍ</summary>
	/// ĈÂB
	///[vZ@]
	///̐F = 1.0 - ( 1.0 -  ̐F ) / ͂̐F
	///͂̐F0.0̎A̐F0.0
	bool Burn( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_BURN);
	}
			
	/// <summary>r()</summary>
	/// Ɠ͂̈Â̐FɂB
	bool Darken( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_DARKEN);
	}
			
	/// <summary>Z</summary>
	/// C[WA̓C[WZB
	bool Difference( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_DIFFERENCE);
	}
			
	/// <summary>Ă</summary>
	/// A邭B
	///[vZ@]
	///̐F = ̐F / (1.0 - ͂̐F)
	///͂̐F1.0̏ꍇA̐F1.0
	bool Dodge( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_DODGE);
	}
			
	/// <summary>O</summary>
	/// AÂB
	///[vZ@]
	/// =  +  - 2.0 *  * 
	bool Exclusion( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_EXCLUSION);
	}
			
	/// <summary>n[hCg</summary>
	/// I[o[C̏A͂ɕύXČvZB
	bool HardLight( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend(C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_HARDLIGHT);
	}
			
	/// <summary>r()</summary>
	/// Ɠ̖͂邢̐FɂB
	bool Lighten( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_LIGHTEN);
	}
			
	/// <summary>Z</summary>
	/// ̃C[W̐FZB
	/// e0.0`1.0̒lɌĂďZŝŁA
	/// ̐FÂȂ鎖͂Ă邭Ȃ邱Ƃ͂ȂB
	bool Multiple( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_MULTIPLE);
	}
			
	/// <summary>ʏ퍇</summary>
	/// Ȍʂtɍ
	/// 1ɋ߂قǁA͉摜̕sxȂB
	bool Normal( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle() , (int)(*255) ,DX_GRAPH_BLEND_NORMAL);
	}
			
	/// <summary>I[o[C</summary>
	/// C[W̐F0.5ȉ͈̕ÂAȊO͖邭鍇B
	///[vZ@]
	///GrHandle̐F0.5ȉ:
	///̐F = ̐F * ͂̐F * 2.0
	///ȊO:
	///̐F = 2.0 * ( ̐F + ͂̐F - ̐F * ͂̐F ) - 1.0
	bool OverLay( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_OVERLAY);
	}
			
	///<summary>RGBA̗vfIč</summary>
	///̉摜ƂĐԁE΁EEAt@̊e A͂̂ǂ̂ǂ̗vf邩w肷B
	///Ⴆ΁Aԗvf  RGBA::BlendR w肵ꍇ́Ả摜̐Ԑ́A̓C[W̗ΐɂȂB
	bool RgbaSelectMix( Image* C[W , const Image *̓C[W, RGBA ԗvf , RGBA Ηvf , RGBA vf , RGBA vf ,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_RGBA_SELECT_MIX, ԗvf , Ηvf , vf , vf );
	}
			
	/// <summary>XN[</summary>
	/// Ẑ悤ɖ邭B
	///[vZ@]
	/// ̐F = 1.0f - ( ( 1.0f - C[W̐F ) * ( 1.0f - ̓C[W̐F ) )
	bool Screen( Image* C[W , const Image *̓C[W,double  = 1.0)
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_SCREEN);
	}
			
	/// <summary>\tgCg</summary>
	/// C[W̐F0.5ȉ͈̕ÂAȊO͖邭鍇B
	///[vZ@]
	///GrHandle̐F0.5ȉ:
	///̐F = pow( , ( 1.0f -  ) * 2.0 )
	///ȊO:
	///̐F = pow( , 0.5 /  )
	bool SoftLight( Image* C[W , const Image *̓C[W,double )
	{
		return !DxLib::GraphBlend( C[W->GetHandle() , ̓C[W->GetHandle(),int(*255),DX_GRAPH_BLEND_SOFTLIGHT);
	}
};
	
/// <summary>C[Wč[]</summary>
/// BlendNXQƁB
/// Q̃C[WʕtŃuhAC[W̃nhԂB
/// CȂ̂Ŏg܂B
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class BlendBlt
{
public:
	/// <summary></summary>
	static Image Add(const Image *imgA,const Image *imgB,double )
	{
		const int width  = max( imgA->GetWidth() , imgB->GetWidth() );
		const int height = max( imgA->GetHeight() , imgB->GetHeight() );
		Image outPut( width , height , true , true , true );

		DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , outPut.GetHandle(),int(*255),DX_GRAPH_BLEND_ADD);
		return outPut;
	}
	static bool Add(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_ADD);
	}
		
	/// <summary></summary>
	static bool Burn(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_BURN);
	}
	static bool Burn(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_BURN);
	}
		
	/// <summary></summary>
	static bool Darken(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_DARKEN);
	}
	static bool Darken(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_DARKEN);
	}
		
	/// <summary></summary>
	static bool Diference(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_DIFFERENCE);
	}
	static bool Difference(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_DIFFERENCE);
	}
		
	/// <summary></summary>
	static bool Dodge(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_DODGE);
	}
	static bool Dodge(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_DODGE);
	}
		
	/// <summary></summary>
	static bool Exclusion(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_EXCLUSION);
	}
	static bool Exclusion(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_EXCLUSION);
	}
		
	/// <summary></summary>
	static bool HardLight(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_HARDLIGHT);
	}
	static bool HardLight(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_HARDLIGHT);
	}
		
	/// <summary></summary>
	static bool Lighten(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_LIGHTEN);
	}
	static bool Lighten(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_LIGHTEN);
	}
		
	/// <summary></summary>
	static bool Multiple(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_MULTIPLE);
	}
	static bool Multiple(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_MULTIPLE);
	}
	
	/// <summary></summary>
	static bool Normal(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_NORMAL);
	}
	static bool Normal(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_NORMAL);
	}
		
	/// <summary></summary>
	static bool OverLay(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_OVERLAY);
	}
	static bool OverLay(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_OVERLAY);
	}
		
	/// <summary></summary>
	static bool RgbaSelectMix(Image *image ,const Image *imgA,const Image *imgB,double , RGBA selectR , RGBA selectG , RGBA selectB , RGBA selectA)
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_RGBA_SELECT_MIX, selectR , selectG , selectB , selectA );
	}
	static bool RgbaSelect(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double , RGBA selectR , RGBA selectG , RGBA selectB , RGBA selectA)
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_RGBA_SELECT_MIX, selectR , selectG , selectB , selectA );
	}
		
	/// <summary></summary>
	static bool Screen(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlendBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_SCREEN);
	}
	static bool Screen(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_SCREEN);
	}
		
	/// <summary></summary>
	static bool SoftLight(Image *image ,const Image *imgA,const Image *imgB,double )
	{
		return !DxLib::GraphBlend(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle(),int(*255),DX_GRAPH_BLEND_SOFTLIGHT);
	}
	static bool SoftLight(Image *image ,const Image *imgA,const Image *imgB, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY,double )
	{
		return !DxLib::GraphBlendRectBlt(imgA->GetHandle() , imgB->GetHandle() , image->GetHandle() , srcX1, srcY1, srcX2, srcY2, blendX, blendY, destX, destY,int(*255),DX_GRAPH_BLEND_SOFTLIGHT);
	}
};
}