#pragma once
#include "Image.h"
#include "Font.h"
#include "BmpFont.h"
#include "Anime.h"

namespace DXFW
{
///	<summary>JX^}CYg̃NX</summary>
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class BmpFrame
{
private:
	bool isMake;
	int frameWidth;
	int frameHeight;
	ImagePack *frame;
	Image   *skinn;
public:

	BmpFrame(void){};
	~BmpFrame(void){};
		
	///<summary>t[쐬</summary>
	///R~RImagePackɃt[쐬
	///XLȗꍇAOg̒g
	bool Make( ImagePack &Og , Image *XL = nullptr  )
	{
		if( Og.GetSize() != 9  ) return false;

		if( XL == nullptr )
		{
			this->skinn = Og[4];
		}else{
			this->skinn = XL;
		}

		this->frame = &Og;

		this->isMake = true;

		this->frameWidth = Og.GetWidth();
		this->frameHeight = Og.GetHeight();

		return true;
	}
	
	///<summary>`̃t[`</summary>
	///EWw肵ăt[`悷
	bool Draw( int x , int y , int width , int height ) const
	{
		bool isOK = true;

		int xA = x + this->frameWidth;
		int xB = x - this->frameWidth + width;
		int yA = y + this->frameHeight;
		int yB = y - this->frameHeight + height;

		if( !this->skinn->DrawExtend( x+6, y+6 , x+width , y+height ) ) isOK = false;
		
		//܂Og`	
		if( !this->frame[0][3]->DrawExtend( x , yA , xA , yB) ) isOK = false;
		if( !this->frame[0][5]->DrawExtend( xB , yA , xB + this->frameWidth , yB) ) isOK = false;

		if( !this->frame[0][1]->DrawExtend( xA , y ,xB ,yA) ) isOK = false;
		if( !this->frame[0][7]->DrawExtend( xA , yB ,xB ,yB + this->frameHeight) ) isOK = false;
		
		//l`
		if( !this->frame[0][0]->Draw( x							  , y ) ) isOK = false;
		if( !this->frame[0][2]->Draw( x + width - this->frameWidth, y ) ) isOK = false;
		if( !this->frame[0][6]->Draw( x							  , y + height - this->frameHeight) ) isOK = false;
		if( !this->frame[0][8]->Draw( x + width - this->frameWidth, y + height - this->frameHeight) ) isOK = false;

		return true;
	}
};
}