#pragma once
#include<DxLib.h>
#include<Image.h>

namespace DXFW
{
/// <summary>摜tB^[NX</summary>
/// ImageImagePackɑ΂ĉ摜ҏW\tgɂ悤ȁAtB^[{B
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class Filter
{
public:
	/// <summary>mg[tB^</summary>
	/// 摜mg[ɕωB
	/// esNZ̐FRGB`YCbCr`ɕϊāȀłׂẴsNZ̋PxȊO̐
	///  Cb Cr ̒luAĂтqfa`ɖ߂B
	/// l̒A悤Ȍʂ𓾂邱Ƃł Filter::Hsb 蕉ׂ͒ႢB
	/// ԐFƐF-255`255Ŏw肷B
	static bool Mono( Image* C[W , int F , int ԐF)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_MONO ,F , ԐF);
	}
	static bool Mono( ImagePack *C[WS , int F , int ԐF)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			Mono( C[WS[0][i] , F , ԐF );
		}
		return true;
	}

	///<summary>KEXtB^</summary>
	///摜ɃKEX֐gpڂʂ^B
	///gpsNZ 8  16  32ŎwB
	///ڂ 1 Ŗ1sNZڂB
	///
	///ڂ̌E gpsNZ Ō܂Al傫قǂڂ̋̌E傫ȂA
	///ƂƂɏׂ傫ȂB
	///̃tB^͔ɕׂ傫̂ŁAڂꍇ gpsNZ ̒l 32 ɂċڂ
	///|AktB^( DX_GRAPH_FILTER_DOWN_SCALE )ŉ摜kアڂ|A
	///̌ DrawExtend Ō̑傫ŕ`悷AƂ@̂قׂ}邱Ƃł܂B
	static bool Gauss( Image* C[W , int gpsNZ , double ڂ)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_GAUSS , gpsNZ , int(ڂ*100) );
	}
	static bool Gauss( ImagePack *C[WS , int gpsNZ , double ڂ)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			Gauss( C[WS[0][i]  , gpsNZ , int(ڂ*100));
		}
		return true;
	}
			
	/// <summary>ktB^</summary>
	///  2  4  8 w
	/// 摜𕪕Ŏw肵ŊďkB
	/// DrawExtend łk`悷邱Ƃł邪AYɏk摜𓾂邱ƂłB
	/// Filter::Gaussׂ̏ړIŎgp邱Ƃz肵ĂB
	static bool DownScale( Image* C[W , int )
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_DOWN_SCALE ,  );
	}
	static bool DownScale( ImagePack *C[WS , int )
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			DownScale( C[WS[0][i] , );
		}
		return true;
	}

	/// <summary>邳NbvtB^</summary>
	///摜̊esNZPxɉĈœnFœhԂB
	///Nbv^CvClipType::Less̏ꍇANbvp[^PxsNZA
	///Nbv^CvClipType::GrateȑꍇAPx傫sNZNbvB
	///Nbv肳ꂽsNŹANbvFœhA`lꍇlNbvɂB
	static bool BrightClip( Image* C[W , ClipType cmpType,int cmpParam , int clipFillColor , int clipFillAlpha)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_BRIGHT_CLIP , cmpType, cmpParam , true , clipFillColor , clipFillAlpha);
	}
	static bool BrightClip( ImagePack *C[WS , ClipType cmpType,int cmpParam , int clipFillColor , int clipFillAlpha)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			BrightClip( C[WS[0][i] , cmpType , cmpParam , clipFillColor , clipFillAlpha);
		}
		return true;
	}

	/// <summary>FEʓxExtB^</summary>
	/// 摜̊esNŹAFAʓxAx␳B
	/// F-180`180Ŏw肵AΓIɕω܂
	/// ʓx -1.0`Ŏw肵AΓIɕω܂A-1ŃO[A0ŕωB
	/// Px -1.0`1.0Ŏw肵ȀꍇÂȀꍇ͖邭ȂB
	static bool Hsb( Image* C[W , int F , double ʓx , double x)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_HSB , TRUE , F , int(ʓx*255) , int(x*255) );
	}
	static bool Hsb( ImagePack *C[WS , int F , double ʓx , double x)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			Hsb( C[WS[0][i] , F , ʓx , x);
		}
		return true;
	}
	
	///<summary>FEʓxExtB^</summary>
	///摜̊esNŹAFAʓxAx␳B
	///F0`360ŎwA120΁A240ŐA360ԂɂȂB
	///ΒlŎw肷̂ŁAmg[̏ɂȂB
	///ʓxƖx́AFilter::HsbƓB
	static bool MonoHsb( Image* C[W , int F , double ʓx , double x)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_HSB , FALSE , F , int(ʓx*255) , int(x*255) );
	}
	static bool MonoHsb( ImagePack *C[WS , int F , double ʓx , double x)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			MonoHsb( C[WS[0][i] , F , ʓx , x);
		}
		return true;
	}

	///<summary>K]tB^</summary>
	///esNZRGBl𔽓]B
	bool Invert( Image* C[W )
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_INVERT );
	}
	bool Invert( ImagePack *C[WS )
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			Invert( C[WS[0][i] );
		}
		return true;
	}

	///<summary>x␳tB^</summary>
	///摜Ƀx␳sARgXg𒲐B
	///OA0ȏɂƈÂȂ܂B
	///OA255ȉɂƁA邭Ȃ܂B
	///㉺A0ȏɂƔۂȂ܂B
	///A255ȉɂƍɋ߂Ȃ܂
	///K}l1ȏɂƁA邭ȂA1ȉɂƈÂȂ܂B
	bool Level( Image* C[W , int O , int O , int ㉺ , int , double K}l )
	{
		if( K}l < 0.01 ) K}l = 0.01;
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_LEVEL , O , O , int(K}l*100) , ㉺ , );
	}
	bool Level( ImagePack *C[WS , int O , int O , int ㉺ , int , double K}l )
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
				Level( C[WS[0][i] , O , O , ㉺ , , K}l);
		}
		return true;
	}

	///<summary>QKtB^</summary>
	///esNZ̋Px臒lÂ邢ŊesNZϊ
	bool TwoColor( Image* C[W , int 臒l , int ÐF , int ÐFl , int F , int Fl )
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_TWO_COLOR , 臒l , ÐF , ÐFl , F , Fl );
	}
	bool TwoColor( ImagePack *C[WS , int 臒l , int ÐF , int ÐFl , int F , int Fl )
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			TwoColor( C[WS[0][i] , 臒l , ÐF , ÐFl , F , Fl );
		}
		return true;
	}
			
	///<summary>Of[V}bvtB^</summary>
	///esNZ̋PxOf[V}bv̂wWZoϊB
	///Px0̏ꍇ̓Of[V}bv̈ԍ̃sNZ̐F( x:0 y:0 W̃sNZ )A
	///Px255( ő )̏ꍇAOf[V}bv̈ԉẼsNZ̐F( x:255 y:0 W̃sNZ )
	///o͌ʂ̐FɂȂB
	bool GradientMap( Image* C[W , const Image *̓C[W , bool ]tO)
	{
		return !DxLib::GraphFilter( C[W->GetHandle() , DX_GRAPH_FILTER_GRADIENT_MAP , ̓C[W->GetHandle(), ]tO );
	}
	bool GradientMap( ImagePack *C[WS , const Image *̓C[W , bool ]tO)
	{
		for( int i=0 ; i<C[WS->GetSize() ;i++ )
		{
			GradientMap( C[WS[0][i] , ̓C[W , ]tO);
		}
		return true;
	}
};
	
/// <summary>tB^[C[W𐶐[C]</summary>
/// CłB
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class FilterBlt
{
public:
	/// <summary></summary>
	static bool Mono(Image *image , const Image *origin , int F , int ԐF)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_MONO ,F , ԐF);
	}
	static bool Mono(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , int F , int ԐF)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_MONO ,F , ԐF);
	}
	
	/// <summary></summary>
	static bool Gauss(Image *image , const Image *origin , int gpsNZ , int ڂ)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_GAUSS , gpsNZ , ڂ);
	}
	static bool Gauss(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , int gpsNZ , int ڂ)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_GAUSS , gpsNZ , ڂ);
	}
	/*
	/// <summary></summary>
	static bool DownScale(Image *image , const Image *origin , DivNumber num)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_DOWN_SCALE , num );
	}
	static bool DownScale(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , DivNumber num)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_DOWN_SCALE , num );
	}
	
	/// <summary></summary>
	static bool BrightClip(Image *image , const Image *origin , CmpType cmpType,int cmpParam , bool isClipFill , int clipFillColor , int clipFillAlpha)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_BRIGHT_CLIP , cmpType, cmpParam , isClipFill , clipFillColor , clipFillAlpha);
	}
	static bool BrightClip(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , CmpType cmpType,int cmpParam , bool isClipFill , int clipFillColor , int clipFillAlpha)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_BRIGHT_CLIP , cmpType, cmpParam , isClipFill , clipFillColor , clipFillAlpha);
	}
	
	/// <summary></summary>
	static bool Hsb(Image *image , const Image *origin , HueType hueType , int hue , int saturation , int bright)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_HSB , hueType , hue , saturation , bright );
	}
	static bool Hsb(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , HueType hueType , int hue , int saturation , int bright)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_HSB , hueType , hue , saturation , bright );
	}
	*/
	
	/// <summary></summary>
	static bool Invert(Image *image , const Image *origin )
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_INVERT );
	}
	static bool Invert(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_INVERT );
	}
	
	/// <summary></summary>
	static bool Level(Image *image , const Image *origin ,int min , int max , int gammma , int affterMin , int affterMax)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_LEVEL , min , max , gammma , affterMin , affterMax);
	}
	static bool Level(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int min , int max , int gammma , int affterMin , int affterMax)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_LEVEL , min , max , gammma , affterMin , affterMax);
	}
	
	/// <summary></summary>
	static bool TwoColor(Image *image , const Image *origin , int threshold , int lowColor , int lowAlpha , int highColor , int highAlpha )
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_TWO_COLOR , threshold , lowColor , lowAlpha , highColor , highAlpha );
	}
	static bool TwoColor(Image *image , const Image *origin , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , int threshold , int lowColor , int lowAlpha , int highColor , int highAlpha )
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_TWO_COLOR , threshold , lowColor , lowAlpha , highColor , highAlpha );
	}
	
	/// <summary></summary>
	static bool GradientMap(Image *image , const Image *origin , const Image *mapGraph , bool isReverse)
	{
		return !DxLib::GraphFilterBlt( origin->GetHandle() ,image->GetHandle() , DX_GRAPH_FILTER_GRADIENT_MAP , mapGraph->GetHandle() , isReverse );
	}
	static bool GradientMap(Image *image , const Image *origin  , int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY , const Image *mapGraph , bool isReverse)
	{
		return !DxLib::GraphFilterRectBlt( origin->GetHandle() ,image->GetHandle() , srcX1, srcY1, srcX2, srcY2, destX, destY , DX_GRAPH_FILTER_GRADIENT_MAP , mapGraph->GetHandle() , isReverse );
	}
};	
}