#pragma once
#include <DxLib.h>
#include <Windows.h>
#include <string>
#include "Sound.h"
#define NULL_HANDLE -1

namespace DXFW
{
/// <summary>BGMpt@CNX</summary>
/// <example>
/// [TvR[h:]<BR>
/// Tv<BR>
/// <code>
/// int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
/// {<BR>
/// 	if( !Dx::Initialise() ) return -1;<BR>
/// 	Dx::End();<BR>
/// 	return 0;<BR>
/// }<BR>
///</code>	
///</example>
class Music
{
private:
	std::string fileName;
	int volume;
public:
	Music(){};
	~Music(){};
	
	///<summary>t@Co^</summary>
	Music(const char *t@C , double  = 1.0)
	{
		Music::Load( t@C ,  );
	}
	
	///<summary>t@Co^</summary>
	///ʂ 0`1.0ŎwAt@C̓ɂ͓ǂݍ܂ȂB
	void Load(const char *t@C , double  = 1.0)
	{
		this->fileName = t@C;
		volume = int(*255);
	}
		
	///<summary>t@CĐ</summary>
	///Musict@C͕ɍĐ鎖͏oȂB
	///ݍĐ̉͒~B
	bool Play(PlayType playType = PlayType::Back)
	{
		const bool ok = !DxLib::PlayMusic(this->fileName.c_str(), (int)playType);
		DxLib::SetVolumeMusic( volume );
		return ok;
	}

	///<summary>Đ擾</summary>
	///ꂩMusicĐȂtureԂ
	static bool Check()
	{
		return (DxLib::CheckMusic() == 1);
	}

	///<summary>ĐMusic~</summary>
	static bool Stop()
	{
		return !DxLib::StopMusic();
	}
};
}