#pragma once
#include <random>

namespace DXFW
{
/// <summary>̃NX</summary>
///	<example>
///	[TvR[h:]<BR>
/// Tv<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class Rand
{
private:
	static std::mt19937 engine;
	Rand();
	~Rand();
public:
	/// <summary></summary>
	static void Reset(int seed)
	{
		engine.seed(seed);
	}
	
	///<summary>擾</summary>
	///0`ől͈̗̔͂Ԃ
	///߂ľ^ƈ̌^͓
	static double Get(double ől)
	{
		std::uniform_real_distribution<double> range(0.0 , ől);
		return range(engine);
	}
	static int Get(int ől)
	{
		std::uniform_int_distribution<int> range(0 , ől);
		return range(engine);
	}
	
	///<summary>͈͂w肵ė擾</summary>
	///ŏl`ől͈̗̔͂Ԃ
	///߂ľ^ƈ̌^͓
	static double Get( double ŏl , double ől)
	{
		std::uniform_real_distribution<double> range( ŏl , ől);
		return range(engine);
	}
	static int Get( int ŏl , int ől)
	{
		std::uniform_int_distribution<int> range( ŏl , ől);
		return range(engine);
	}
};
}